ALTER TABLE `cdt_agenda` ADD `date_visa` date NOT NULL default '0000-00-00';
ALTER TABLE `cdt_emploi_du_temps` CHANGE `groupe` `groupe` VARCHAR( 255 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NULL DEFAULT 'Classe entiere';
ALTER TABLE `cdt_prof` ADD `email` VARCHAR( 255 ) AFTER `identite`;
ALTER TABLE `cdt_prof` ADD `publier_cdt` ENUM( 'O', 'N' ) DEFAULT 'O' NOT NULL;
ALTER TABLE `cdt_prof` ADD `publier_travail` ENUM( 'O', 'N' ) DEFAULT 'O' NOT NULL;
ALTER TABLE `cdt_prof` ADD `date_maj` DATE NOT NULL;
ALTER TABLE `cdt_prof` ADD `droits` tinyint(3) unsigned NOT NULL default '2';
ALTER TABLE `cdt_prof` ADD `path_fichier_perso` VARCHAR( 255  ) ;
ALTER TABLE `cdt_prof` ADD `xinha_editlatex` enum('O','N') NOT NULL default 'N';
ALTER TABLE `cdt_prof` ADD `xinha_equation` enum('O','N') NOT NULL default 'N';
ALTER TABLE `cdt_prof` ADD `xinha_stylist` enum('O','N') NOT NULL default 'N';
UPDATE `cdt_prof` SET `droits` = '1' WHERE `ID_prof` = 1;
UPDATE `cdt_prof` SET `droits` = '2' WHERE `ID_prof` > 1;
UPDATE `cdt_prof` SET `cdt_prof`.`identite` = `cdt_prof`.`nom_prof` WHERE `cdt_prof`.`identite`='';
ALTER TABLE `cdt_type_activite` CHANGE `ID_activite` `ID_activite` SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT;

CREATE TABLE `cdt_progression` (
  `ID_progression` tinyint(3) unsigned NOT NULL auto_increment,
  `prof_ID` tinyint(4) unsigned NOT NULL default '0',
  `titre_progression` varchar(255) NOT NULL default '',
  `contenu_progression` text NOT NULL,
  PRIMARY KEY  (`ID_progression`)
)TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `cdt_message_contenu` (
  `ID_message` smallint(5) NOT NULL auto_increment,
  `message` text NOT NULL,
  `prof_ID` tinyint(4) unsigned NOT NULL default '0',
  `date_envoi` date NOT NULL default '0000-00-00',
  `online` enum('O','N') NOT NULL default 'O',
  `dest_ID` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`ID_message`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
        		
CREATE TABLE `cdt_message_destinataire` (
  `ID_dest` smallint(5) unsigned NOT NULL auto_increment,
  `message_ID` tinyint(3) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `groupe_ID` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_dest`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `cdt_evenement_contenu` (
  `ID_even` smallint(5) NOT NULL auto_increment,
  `titre_even` varchar(50) NOT NULL default '',
  `detail` text,
  `prof_ID` tinyint(4) unsigned NOT NULL default '0',
  `date_debut` date NOT NULL default '0000-00-00',
  `heure_debut` varchar(6) NOT NULL default '00h00',
  `date_fin` date NOT NULL default '0000-00-00',
  `heure_fin` varchar(6) NOT NULL default '00h00',
  `date_envoi` date NOT NULL default '0000-00-00',
  `dest_ID` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`ID_even`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `cdt_evenement_destinataire` (
  `ID_dest` smallint(5) unsigned NOT NULL auto_increment,
  `even_ID` tinyint(3) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `groupe_ID` tinyint(3) unsigned NOT NULL default '0',
  PRIMARY KEY  (`ID_dest`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `cdt_prof_principal` (
  `ID_pp` smallint(5) unsigned NOT NULL auto_increment,
  `pp_prof_ID` smallint(5) NOT NULL default '0',
  `pp_classe_ID` smallint(5) NOT NULL default '0',
  `pp_groupe_ID` smallint(5) NOT NULL default '0',
  PRIMARY KEY  (`ID_pp`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `cdt_message_fichiers` (
  `ID_mesfich` smallint(5) unsigned NOT NULL auto_increment,
  `message_ID` smallint(5) NOT NULL default '0',
  `nom_fichier` varchar(255) NOT NULL default '',
  `prof_ID` smallint(5) NOT NULL default '0',
  PRIMARY KEY  (`ID_mesfich`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

CREATE TABLE `cdt_params` (
  `param_nom` varchar(32) NOT NULL default '',
  `param_val` text,
  `param_desc` varchar(255) default NULL,
  PRIMARY KEY  (`param_nom`)
) TYPE=MyISAM ;

INSERT INTO `cdt_params` VALUES ('version', 'Version 3.0.9 standard', 'Version du logiciel');
INSERT INTO `cdt_params` VALUES ('ind_maj_base', '3090', 'indice de la version');
INSERT INTO `cdt_params` VALUES ('date_maj_base', NULL, 'date de la mise  jour');
INSERT INTO `cdt_params` VALUES ('old_cdt_access', 'Non', 'Acces ancien cahier de textes');


ALTER TABLE `cdt_agenda` CHANGE `matiere_ID` `matiere_ID` SMALLINT( 5 ) UNSIGNED DEFAULT '0' NOT NULL ;
ALTER TABLE `cdt_emploi_du_temps` CHANGE `matiere_ID` `matiere_ID` SMALLINT( 5 ) UNSIGNED DEFAULT NULL ;
ALTER TABLE `cdt_matiere` CHANGE `ID_matiere` `ID_matiere` SMALLINT( 5 ) UNSIGNED NOT NULL AUTO_INCREMENT ;
ALTER TABLE `cdt_travail` CHANGE `matiere_ID` `matiere_ID` SMALLINT( 5 ) UNSIGNED DEFAULT '0' NOT NULL ;
ALTER TABLE `cdt_travail` CHANGE `classe_ID` `classe_ID` TINYINT( 3 ) UNSIGNED DEFAULT '0' NOT NULL ;


