USE `cdt`;

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
-- 
-- Base de donnes: `cdt`
-- 

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_agenda`
-- 

CREATE TABLE `cdt_agenda` (
  `ID_agenda` smallint(7) unsigned NOT NULL auto_increment,
  `prof_ID` tinyint(4) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned NOT NULL default '0',
  `matiere_ID` tinyint(3) unsigned NOT NULL default '0',
  `groupe` varchar(255) NOT NULL default '',
  `semaine` varchar(255) NOT NULL default '',
  `jour_pointe` varchar(255) NOT NULL default '',
  `heure` tinyint(4) NOT NULL default '0',
  `duree` varchar(255) default NULL,
  `heure_debut` varchar(255) default NULL,
  `heure_fin` varchar(255) default NULL,
  `theme_activ` varchar(255) default NULL,
  `type_activ` varchar(255) default NULL,
  `a_faire` text,
  `activite` text,
  `rq` varchar(255) default NULL,
  `code_date` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID_agenda`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_classe`
-- 

CREATE TABLE `cdt_classe` (
  `ID_classe` tinyint(6) unsigned NOT NULL auto_increment,
  `nom_classe` varchar(255) NOT NULL default '',
  `passe_classe` varchar(20) default NULL,
  PRIMARY KEY  (`ID_classe`)
) TYPE=MyISAM AUTO_INCREMENT=28 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_emploi_du_temps`
-- 

CREATE TABLE `cdt_emploi_du_temps` (
  `ID_emploi` smallint(11) unsigned NOT NULL auto_increment,
  `prof_ID` tinyint(4) unsigned NOT NULL default '0',
  `jour_semaine` enum('Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi') NOT NULL default 'Lundi',
  `semaine` enum('A','B','A et B') NOT NULL default 'A et B',
  `heure` tinyint(2) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) unsigned default '0',
  `groupe` enum('Classe entiere','Groupe A','Groupe B','Groupe reduit') default 'Classe entiere',
  `matiere_ID` tinyint(3) unsigned default NULL,
  `heure_debut` varchar(255) default NULL,
  `heure_fin` varchar(255) default NULL,
  `duree` varchar(255) default NULL,
  PRIMARY KEY  (`ID_emploi`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_fichiers_joints`
-- 

CREATE TABLE `cdt_fichiers_joints` (
  `ID_fichiers` smallint(11) unsigned NOT NULL auto_increment,
  `agenda_ID` smallint(5) unsigned NOT NULL default '0',
  `ind_position` tinyint(3) NOT NULL default '1',
  `nom_fichier` varchar(255) NOT NULL default '',
  `prof_ID` tinyint(4) unsigned NOT NULL default '0',
  `type` enum('Cours','Travail') default 'Cours',
  `t_code_date` varchar(255) default NULL,
  PRIMARY KEY  (`ID_fichiers`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_groupe`
-- 

CREATE TABLE `cdt_groupe` (
  `ID_groupe` tinyint(4) unsigned NOT NULL auto_increment,
  `groupe` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID_groupe`)
) TYPE=MyISAM AUTO_INCREMENT=5 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_matiere`
-- 

CREATE TABLE `cdt_matiere` (
  `ID_matiere` tinyint(10) unsigned NOT NULL auto_increment,
  `nom_matiere` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID_matiere`)
) TYPE=MyISAM AUTO_INCREMENT=7 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_prof`
-- 

CREATE TABLE `cdt_prof` (
  `ID_prof` tinyint(11) unsigned NOT NULL auto_increment,
  `nom_prof` varchar(255) NOT NULL default '',
  `passe` varchar(255) default NULL,
  `identite` varchar(255) default NULL,
  `gestion_sem_ab` enum('O','N') NOT NULL default 'O',
  PRIMARY KEY  (`ID_prof`)
) TYPE=MyISAM AUTO_INCREMENT=9 ;

-- --------------------------------------------------------
INSERT INTO `cdt_prof` ( `ID_prof` , `nom_prof` , `passe` ) VALUES (1, 'Administrateur','d41d8cd98f00b204e9800998ecf8427e') ;


-- 
-- Structure de la table `cdt_semaine_ab`
-- 

CREATE TABLE `cdt_semaine_ab` (
  `ID_sem` tinyint(6) NOT NULL auto_increment,
  `semaine` enum('A','B') NOT NULL default 'A',
  `num_semaine` tinyint(3) NOT NULL default '0',
  `s_code_date` varchar(255) NOT NULL default '',
  `date_lundi` varchar(255) NOT NULL default '',
  `date_dimanche` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`ID_sem`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_travail`
-- 

CREATE TABLE `cdt_travail` (
  `ID_travail` int(10) unsigned NOT NULL auto_increment,
  `agenda_ID` smallint(5) NOT NULL default '0',
  `ind_position` tinyint(3) NOT NULL default '0',
  `prof_ID` tinyint(4) unsigned NOT NULL default '0',
  `classe_ID` tinyint(3) NOT NULL default '0',
  `matiere_ID` tinyint(3) NOT NULL default '0',
  `groupe` varchar(255) NOT NULL default '',
  `semaine` varchar(255) NOT NULL default '',
  `jour_pointe` varchar(255) NOT NULL default '',
  `heure` varchar(255) NOT NULL default '',
  `code_date` varchar(255) NOT NULL default '',
  `t_groupe` varchar(255) NOT NULL default '',
  `t_semaine` varchar(255) default NULL,
  `t_jour_pointe` varchar(255) default NULL,
  `t_code_date` varchar(255) NOT NULL default '',
  `travail` text,
  PRIMARY KEY  (`ID_travail`)
) TYPE=MyISAM AUTO_INCREMENT=4 ;

-- --------------------------------------------------------

-- 
-- Structure de la table `cdt_type_activite`
-- 

CREATE TABLE `cdt_type_activite` (
  `ID_activite` tinyint(3) unsigned NOT NULL auto_increment,
  `ID_prof` tinyint(4) unsigned NOT NULL default '0',
  `activite` varchar(255) default NULL,
  `pos_typ` smallint(5) unsigned NOT NULL default '1',
  PRIMARY KEY  (`ID_activite`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


INSERT INTO `cdt_groupe` VALUES (1, 'Classe entiere');
INSERT INTO `cdt_groupe` VALUES (2, 'Groupe A');
INSERT INTO `cdt_groupe` VALUES (3, 'Groupe B');
INSERT INTO `cdt_groupe` VALUES (4, 'Groupe Reduit');
