#!/bin/bash  

SYS="/etc/sysconfig/envole"

. ParseDico
. /usr/share/eole/FonctionsEoleNg

# compatibilite
NOM_ETAB=`ToISO "$libelle_etab"`
NOM_DOMAINE=$domaine_messagerie_etab
webcalendar=$scribe_envole_webcalendar

## creation des bases et des users ##
PASS_ROOT=`/usr/bin/pwgen -1sn 8`;
echo "UPDATE user SET password=PASSWORD('$PASS_ROOT') WHERE user='root';
flush  privileges;" | mysql --defaults-file=/etc/mysql/debian.cnf mysql

#if [ "$webcalendar" == "oui" ]
#then
	echo "----------------------------------------------------------"
	echo  "         Webcalendar va etre initialise"
	echo "----------------------------------------------------------"

if [ ! -d /var/lib/mysql/webcalendar ]
then
PASS_WEBCALENDAR=`/usr/bin/pwgen -1sn 12`
echo "DROP DATABASE IF EXISTS webcalendar;
CREATE DATABASE webcalendar;
GRANT ALL PRIVILEGES ON webcalendar.* TO 'webcalendar'@'localhost'
IDENTIFIED BY '$PASS_WEBCALENDAR' WITH GRANT OPTION;" | mysql -u root --password=$PASS_ROOT > /dev/null

mysql webcalendar -u root -p$PASS_ROOT <  $SYS/scribe_webcalendar.sql

if [ ! -d /var/www/html/calendar ]
then
mkdir /var/www/html/calendar 
mkdir /var/www/html/calendar/includes
fi

sed -e "s@PASS_WEBCALENDAR@"$PASS_WEBCALENDAR"@"   $SYS/settings.php.ori > $SYS/settings.php.ori.1
sed -e "s@NOM_DOMAINE@"$NOM_DOMAINE"@"   $SYS/settings.php.ori.1 > /var/www/html/calendar/includes/settings.php
rm  $SYS/settings.php.ori.1
#sed -e "s@BASE_DN@"$BASE_DN"@"  $SYS/user-ldap.inc.php.ori > $SYS/user-ldap.inc.php.ori.1
#sed -e "s@DN_ADMIN@"$DN_ADMIN"@"  $SYS/user-ldap.inc.php.ori.1 > /var/www/html/calendar/includes/user-ldap.inc.php 
#rm  $SYS/user-ldap.inc.php.ori.1

fi

	echo "-------------------------------------------------------"
	echo  "               Installation de cdt "
	echo "-------------------------------------------------------"

if [ ! -d /var/lib/mysql/cdt ]
then	
## creation des bases et des users ##
PASS_ROOT=`/usr/bin/pwgen -1sn 8`;
echo "UPDATE user SET password=PASSWORD('$PASS_ROOT') WHERE user='root';
flush  privileges;" | mysql --defaults-file=/etc/mysql/debian.cnf mysql


PASS_CDT=`/usr/bin/pwgen -1sn 12`;

echo "DROP DATABASE IF EXISTS cdt;CREATE DATABASE cdt;"| mysql -u root --password=$PASS_ROOT

echo "use mysql;GRANT ALL PRIVILEGES ON cdt.* TO 'cdt'@'localhost'IDENTIFIED BY '$PASS_CDT' WITH GRANT OPTION;flush  privileges;"| mysql -u root --password=$PASS_ROOT

#echo  "Installation de Cahier de textes "

mysql cdt -u root -p$PASS_ROOT <$SYS/scribe_cdt.sql

mysql cel_conf -u root -p$PASS_ROOT <$SYS/scribe_cdt_cel_conf.sql

PASS_WEBCALENDAR=$(echo `grep db_password /var/www/html/calendar/includes/settings.php ` | cut -d":" -f2|cut -d' ' -f2)
sed -e "s@PASS_WEBCALENDAR@"$PASS_WEBCALENDAR"@"  $SYS/conn_web_calendar.php.ori > /var/www/html/cdt/Connections/conn_web_calendar.php
sed -e "s@PASS_CDT@"$PASS_CDT"@"  $SYS/conn_cahier_de_texte.php.ori >  $SYS/conn_cahier_de_texte.php.ori.1
sed -e 's@'"NOM_ETAB"'@'"$NOM_ETAB"'@'  $SYS/conn_cahier_de_texte.php.ori.1 > /var/www/html/cdt/Connections/conn_cahier_de_texte.php
rm  $SYS/conn_cahier_de_texte.php.ori.1

fi

# pour le local_apps et grr.ini
cp $SYS/cdt.ini /usr/share/sso/app_filters/
sed -e "s@NOM_DOMAINE@"$NOM_DOMAINE"@" $SYS/local_apps_cdt.ini  > $SYS/local_apps_cdt.ini.1
#sed -e "s@NOM_DOMAINE@"$NOM_DOMAINE"@" $SYS/local_apps_cdt.ini.1  > $SYS/local_apps_cdt.ini.2
cat $SYS/local_apps_cdt.ini.1 >> /usr/share/sso/app_filters/local_apps.ini

rm $SYS/local_apps_cdt.ini.1
# pour le profil
cp $SYS/profil.py /usr/share/sso/user_infos/

chown -R www-data:www-data /var/www/html/*

#/etc/init.d/apache2 restart
/etc/init.d/eole-sso restart
